Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmmf
Class GetCRL

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmmf.GetCRL

All Implemented Interfaces:
  ASN1Value

public class GetCRL
extends java.lang.Object
implements ASN1Value

CMMF GetCRL.

     GetCRL ::= SEQUENCE {
          issuerName      Name,
          cRLName         GeneralName OPTIONAL,
          time            GeneralizedTime OPTIONAL,
          reasons         ReasonFlags OPTIONAL }

Inner Class Summary
`static class` | `GetCRL.Template` A Template for decoding a `GetCRL`.

Field Summary
`static int` | `affiliationChanged` A bit position in a ReasonFlags bit string.
`static int` | `cACompromise` A bit position in a ReasonFlags bit string.
`static int` | `certificateHold` A bit position in a ReasonFlags bit string.
`static int` | `cessationOfOperation` A bit position in a ReasonFlags bit string.
`private ANY` | `cRLName`
`private ANY` | `issuerName`
`static int` | `keyCompromise` A bit position in a ReasonFlags bit string.
`private BIT_STRING` | `reasons`
`private SEQUENCE` | `sequence`
`static int` | `superseded` A bit position in a ReasonFlags bit string.
`private static Tag` | `TAG`
`private static GetCRL.Template` | `templateInstance`
`private GeneralizedTime` | `time`
`static int` | `unused` A bit position in a ReasonFlags bit string.

Constructor Summary
`private` | `GetCRL()`
`` | `GetCRL(ANY issuerName, ANY cRLName, GeneralizedTime time, BIT_STRING reasons)` Constructs a `GetCRL` from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`ANY` | `getCRLName()` Returns the `cRLName` field, which may be `null`.
`ANY` | `getIssuerName()` Returns the `issuerName` field.
`BIT_STRING` | `getReasons()` Returns the `reasons` field, which may be `null`.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static GetCRL.Template` | `getTemplate()`
`GeneralizedTime` | `getTime()` Returns the `time` field, which may be `null`.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### unused

    public static final int unused

  A bit position in a ReasonFlags bit string.

### keyCompromise

    public static final int keyCompromise

  A bit position in a ReasonFlags bit string.

### cACompromise

    public static final int cACompromise

  A bit position in a ReasonFlags bit string.

### affiliationChanged

    public static final int affiliationChanged

  A bit position in a ReasonFlags bit string.

### superseded

    public static final int superseded

  A bit position in a ReasonFlags bit string.

### cessationOfOperation

    public static final int cessationOfOperation

  A bit position in a ReasonFlags bit string.

### certificateHold

    public static final int certificateHold

  A bit position in a ReasonFlags bit string.

### issuerName

    private ANY issuerName

### cRLName

    private ANY cRLName

### time

    private GeneralizedTime time

### reasons

    private BIT_STRING reasons

### sequence

    private SEQUENCE sequence

### TAG

    private static final Tag TAG

### templateInstance

    private static final GetCRL.Template templateInstance

Constructor Detail

### GetCRL

    private GetCRL()

### GetCRL

    public GetCRL(ANY issuerName,
                  ANY cRLName,
                  GeneralizedTime time,
                  BIT_STRING reasons)

  Constructs a `GetCRL` from its components.
  Parameters:
    `issuerName` - The issuer name of the CRL. This should be an ASN.1 Name.
    `cRLName` - The name of the CRL, which may be `null`. This should be an ASN.1 GeneralName.
    `time` - The time of the CRL, which may be `null`.
    `reasons` - Can be used to specify from among CRLs partitioned by revocation reason. The BIT_STRING can be created from a Java BitSet. The positions in the BitSet should be set or cleared using the constants provided in this class.

Method Detail

### getIssuerName

    public ANY getIssuerName()

  Returns the `issuerName` field.

### getCRLName

    public ANY getCRLName()

  Returns the `cRLName` field, which may be `null`.

### getTime

    public GeneralizedTime getTime()

  Returns the `time` field, which may be `null`.

### getReasons

    public BIT_STRING getReasons()

  Returns the `reasons` field, which may be `null`.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static GetCRL.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD